Bug 186330 - Suspend-to-RAM removes eth0
Suspend-to-RAM removes eth0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-22 17:55 EST by William Murray
Modified: 2015-03-04 20:16 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.99.3-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 04:33:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description William Murray 2006-03-22 17:55:47 EST
Description of problem:
eth0 does not recover from suspend-to-ram.
Dell D610 with tg3 driver for
 02:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 Gigabit
Ethernet PCI Express (rev 01)

Note that the sata disk 
00:1f.2 IDE interface: Intel Corporation 82801FBM (ICH6M) SATA Controller (rev 03)
required vga=normal as kernel parameter to recover at all. 

Version-Release number of selected component (if applicable):
pm-utils-0.01-1

How reproducible:
100%

Steps to Reproduce:
1. suspend to RAM
2. Resume
3.
  
Actual results:
tg3 does not recover. The log in /var/log/messages is:

Mar 17 08:11:59 billmurray kernel: tg3: tg3_reset_hw timed out for eth0,
firmware will not restart magic=4b657654
Mar 17 08:12:02 billmurray kernel: VFS: busy inodes on changed media.
Mar 17 08:12:02 billmurray kernel: VFS: busy inodes on changed media.
Mar 17 08:12:02 billmurray NetworkManager: <information>        eth0:
Device is fully-supported using driver 'tg3'.
Mar 17 08:12:02 billmurray NetworkManager: <information>
nm_device_init(): waiting for device's worker thread to start
Mar 17 08:12:03 billmurray NetworkManager: <information>
nm_device_init(): device's worker thread started, continuing.
Mar 17 08:12:03 billmurray NetworkManager: <information>        Now
managing wired Ethernet (802.3) device 'eth0'.
Mar 17 08:12:03 billmurray NetworkManager: <information>
Deactivating device eth0.

Expected results:
Nice recovery

Additional info:

Not sure if this this is the best approach, but I
copied /etc/pm/hooks/10NetworkManager to 9network, and made
it shutdown and re-start network services, so now I get a little
'reconnected to network' flash up when I open the lid.
But thhis kills evolution in the process.
Comment 1 William Murray 2006-03-22 18:25:24 EST
Oops...disregard pm-utils-0.01-1
  That was an error. It is the normal FC5 version.
Comment 2 Till Maas 2007-08-30 10:58:39 EDT
FC5 is now end of life, so sadly this bug won't be fixed in this release. Is
this bug still presend in FC6 or F7?

I have also a notebook that uses tg3 and I did not see this bug in FC6 or F7.
Comment 3 William Murray 2007-08-31 03:54:43 EDT
 It did not affect my system in FC7. Apologies for not reporting this.
    

Note You need to log in before you can comment on or make changes to this bug.